.data-table th {
  width: 100%;
}

.line-in-cart-first .plus-qty, .line-in-cart-first .minus-qty {
  height: 18px;
}

.mini-shopping-cart .left {
  display: flex;
  flex-direction: column;
  white-space: revert-layer;
  width: 130px;
  word-wrap: break-word;
}

  .mini-shopping-cart .left .name {
    width: 100%;
  }

  .mini-shopping-cart .picture {
    min-width: 30%;
    height: fit-content;
  }

.mini-shopping-cart .product {
  width: 70%;
}

.LineInCart {
  display: flex;
  padding: 1.5%;
  flex-direction: column;
  align-items: flex-start;
}

  .LineInCart.line-in-cart-offer {
    display: flex;
    padding: 1.5%;
    flex-direction: row;
    align-items: flex-start;
  }

input.remark-item-cart {
  width: 150%;
  border-color: lightgrey !important;
}

.line-in-cart-first {
    display: flex;
    padding: 1.5%;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    gap: 10px;
}

.select-and-remove button.remove-from-cart {
  border: 0;
  background-color: transparent;
}

.select-and-remove .remove button.remove-from-cart:before {
  content: "\f014";
  font-family: fontAwesome !important;
  font-size: 24px;
}

.select-and-remove .remove button.add-to-cart {
  min-width: 100px;
  color: white;
  margin: 0;
  margin-right: 5%;
}

.LineInCart .select-and-remove {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 2% 0;
}

.product-picture img {
  width: fit-content;
  height: -webkit-fill-available;
}

.pic-and-product .product-name {
  /*max-width: 200px;*/
  min-width: 200px;
  align-self: center;
  font-size: 1.2rem;
  word-break: break-word;
}

.common-buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 1%;
}

.shopping-cart-page .common-buttons button {
  margin: 0;
}

.wishlist-content .buttons button {
  color: black;
}

.pic-and-product {
    display: flex;
    gap: 5%;
    align-items: center;
}

.update button.products-details-productBox a {
  color: white;
  font-size: 1rem;
  font-weight: revert;
}

.cart-options {
  margin-bottom: 1%;
}

button.button-2.continue-shopping-button {
  background-color: #6f6f6f00;
  color: black;
  margin: auto;
  float: center;
  display: flex;
  text-align: center;
  align-items: center;
  text-decoration: underline;
  justify-content: center;
}

input.button-2.apply-discount-coupon-code-button {
  color: black !important;
}

.shoppingCartTable .product-list-selected {
  border: 2px solid #3cbac0;
}

.product-list-cart {
  margin-bottom: 0.5%;
  border: 1px solid #a5a5a5;
}

.cart-collaterals {
  margin-bottom: 0;
}

  .cart-collaterals .title {
    background-color: #D9D9D9;
    padding: 2%;
    text-align: center;
    height: 50px;
    align-content: center;
  }

  .cart-collaterals .coupon-code {
    display: flex;
    justify-content: space-between;
    gap: 5%;
  }

    .cart-collaterals .coupon-code input[type="text"] {
      width: 100%;
    }

.shopping-cart-page .cart-collaterals .button-2 {
  width: 80px;
  margin: 0;
  color: black;
}

.cart-total tr {
  display: flex;
}

.cart-total td label {
  width: max-content;
}

.current-code-inner input.remove-discount-button {
  width: 80px;
  height: 45px;
  background-color: transparent;
  border: 1px solid;
}

.current-code-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row;
  align-content: space-between;
  width: 100%;
  margin-top: 4%;
}

.cart-options #textereaSubject {
  height: 4em !important;
}

span.applied-discount-code {
  font-size: 1.1rem;
  font-weight: 500;
}

.shipping-options .inputs {
  display: flex;
  flex-direction: column;
}

.collaterals-shipping .shipping {
  width: 100%;
}

.checkout-buttons {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-content: center;
  gap: 10px;
}

.cart-footer, .cart-footer div {
  background-color: white;
}

.cart-footer {
  border: 1px solid #eee;
}

.cart-collaterals > div {
  border: 0;
}

  .cart-footer .totals, .cart-collaterals > div > .list, .cart-options .checkout-attributes {
    padding: 10px 20px;
  }

.cart-footer button#submit_checkout {
  font-size: 18px;
}

.select-from-cart .checkbox-choose-to-buy .md-container.md-ink-ripple {
  border: 1px solid;
  border-radius: 0;
}

.wishlist-content button {
  display: flex !important;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.wishlist-content .buttons {
  display: flex;
  justify-content: center;
  gap: 5%;
}

.wishlist-content .LineInCart .remove {
  display: flex;
  justify-content: space-between;
  gap: 15%;
}

.content.PopupWishlist {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 500px;
  height: auto;
  text-align: center;
  background-color: white;
  box-sizing: border-box;
  padding: 10px;
  z-index: 2147483647;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 6px 12px;
  transition: width 2s;
  border: 4px solid;
}

  .content.PopupWishlist .close-btn {
    position: absolute;
    left: 20px;
    top: 15px;
    color: black;
    border-radius: 10%;
    background-image: url(../../images/samples/close.svg);
    width: 30px;
    height: 30px;
    background-repeat: no-repeat;
  }

.LineInCart .product-picture {
  width: 120px;
  height: 120px;
  display: flex;
  justify-content: center;
}

.content form {
  padding: 5%;
}

.content.PopupWishlist .inputs > label {
  display: inline-block;
  max-width: calc(100% - 10px);
  width: auto;
  font-size: 15px;
  margin: 0 0 8px;
  font-weight: bold;
  color: #444444;
  text-align: right;
  white-space: normal;
  min-width: 120px;
}

.content.PopupWishlist .inputs {
  display: flex;
  flex-direction: column;
}

  .content .PopupWishlist .inputs > label {
    min-width: 120px;
  }

input.button-1.send-email-a-friend-button {
  width: 100%;
  font-size: 20px;
}

.copy-link {
  height: 40px;
}

.price-and-quantity label {
  margin-bottom: 0;
}

.price-and-quantity .price {
  font-size: 1rem;
}

.cart-footer .terms-of-service {
  text-align: right;
}

a#read-terms {
  text-decoration: underline;
}

.buttons-footer-confirm {
  margin-top: 2%;
  width: 30%;
  display: flex !important;
  justify-content: center;
  float: left;
  border-top: 1px solid #9E9E9E;
}

.buttons-footer-confirm input#ConfirmOrder {
    margin-top: 2%;
    left: 0;
    position: relative;
    text-align: left;
    left: 0;
    float: inline-end;
}

.button-confirm-top input#ConfirmOrder {
    display: block;
    margin: 2% auto;
    float: none;
    position: static;
}

    .checkout-page .add-button .btn-holder:before {
        text-align: center;
    }

.cart-footer .terms-of-service label:before {
    display: none;
}

.offer-cart .LineInCart {
    display: flex;
    padding: 1.5%;
    flex-direction: row;
    align-items: flex-start;
    align-items: center;
}

.LineInCart.line-in-cart-offer.table-row .quantity {
    display: flex;
    flex-direction: row-reverse;
    gap: 5px;
}

@media screen and (min-width: 1024px) {
    .address-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 2%;
    width: 100%;
    justify-content: flex-start;
  }

  .address-item {
    margin-bottom: 2%;
  }

  .LineInCart .price {
    min-width: 150px;
    max-width: 150px;
  }

  .common-buttons {
    justify-content: flex-start;
  }

  .quantity-and-update {
    display: flex;
    align-items: center;
    gap: 3%;
    min-width: 300px;
    max-width: 300px;
  }

  .price-and-quantity {
    display: flex;
    align-items: center;
    gap: 10px;
  }

  .order-details-page .page-title {
    margin: 0 0 40px;
    overflow: hidden;
    width: 100%;
    float: left;
    text-align: left;
  }
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
  .price-and-quantity {
    display: flex;
    gap: 10px;
    width: 100%;
    justify-content: space-between;
    align-items: center;
  }
}

@media screen and (max-width: 1024px) {

  .content.PopupWishlist {
    width: 80%;
  }

  .line-in-cart-first {
    display: flex;
    flex-direction: column;
  }

    input .button-1.select-shipping-address-button {
    width: 100%;
  }

  .remove {
    display: flex;
    justify-content: flex-end;
    width: 100%;
  }

  .common-buttons {
    justify-content: center;
    gap: 7px;
  }

  .LineInCart {
    display: flex;
    padding: 1.5%;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
  }

  .checkbox-choose-to-buy md-checkbox .md-container {
    margin: 0;
  }

  .LineInCart .select-and-remove {
    order: 4;
  }

  .pic-and-product {
    border-bottom: 1px solid #C4C4C4;
    padding-bottom: 5%;
    width: 100%;
  }

  .LineInCart .select-and-remove {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    justify-content: space-between;
  }

  .quantity-and-update {
    flex-direction: row;
    justify-content: flex-end;
    display: flex;
    gap: 3%;
    flex-wrap: wrap;
  }

  .price-and-quantity .update {
    margin-top: 3%;
  }

  .product-list-cart .add-to-cart-qty-wrapper {
    display: flex;
    gap: 10px;
    justify-content: flex-end;
  }

  .product-list-cart .price {
    width: 50%;
    text-align: right;
    padding: 5% 0;
  }

  .product-list-cart {
    margin-bottom: 5%;
    padding: 3%;
    /*width: 100%;*/
  }

  .LineInCart .product-picture {
    width: 80px !important;
    height: 80px;
  }

  .product-picture img {
    min-width: 80px;
    width: 80px !important;
    height: 80px !important;
  }

  .pic-and-product {
    gap: 2%;
  }

  .order-review-data {
    display: flex;
    flex-direction: column;
  }

  .order-details-page .page-title a, .send-order-again, .order-details-page .order-details-button, .return-items-button {
    height: 38px;
    line-height: 38px;
    padding: 0 18px;
    margin: 0 2px;
    font-size: 16px;
    color: white;
    font-weight: 400;
  }

  .address-item {
    margin-bottom: 2%;
    width: 47%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    padding: 1.5%;
    justify-content: space-between;
  }

  .address-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 2%;
    width: 100%;
    justify-content: space-between;
  }

  .page.order-details-page .Order-Summary-Title {
    background-color: #EAEAEA;
    height: 50px;
    display: flex;
    width: 95%;
    margin: auto;
    flex-direction: column;
    justify-content: center;
  }

  .page.order-details-page .Order-Summary-Title {
    background-color: #EAEAEA;
    height: 50px;
    display: flex;
    width: 95%;
    margin: auto;
    flex-direction: column;
    justify-content: center;
    color: black;
  }

  .right-section-order-detailes td.product-picture + td.product {
    margin: auto;
  }

  .right-section-order-detailes label {
    margin-bottom: 0;
  }

  .order-details-page .products tr {
    width: 100%;
  }
}

@media screen and (max-width: 500px) {
  .price-and-quantity {
    display: flex;
    gap: 10px;
    flex-direction: row;
    align-items: center;
    align-content: flex-start;
    width: 100%;
    border-bottom: 1px solid #C4C4C4;
  }
}

@media screen and (min-width: 500px) and (max-width: 768px) {
  .price-and-quantity {
    display: flex;
    gap: 10px;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #C4C4C4;
  }

  .price-without-tax, .price-with-tax {
    display: flex;
    gap: 7px;
  }
}
